html,
body {
    /* height: 100%; */
}

body {
    /* display: flex;
	align-items: center;
	padding-top: 40px;
	padding-bottom: 40px;
	background-color: #f5f5f5; */
    font-family: "ヒラギノ丸ゴ ProN W4", "Hiragino Maru Gothic ProN",
        "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, Osaka,
        "ＭＳ Ｐゴシック", "MS PGothic", sans-serif;
    /* font-size: 0.875rem; */
}

.fa {
    width: 14px;
    height: 14px;
}

/* Sticky footer */
main>.container {
    padding: 60px 15px 0;
}

.error-message {
    width: 100%;
    margin-top: 0.25rem;
    font-size: 0.875em;
    color: #dc3545;
}

.form-control.form-error {
    border-color: #dc3545;
    padding-right: calc(1.5em + 0.75rem);
}

.form-control.form-error:focus {
    border-color: #dc3545;
    box-shadow: 0 0 0 0.25rem rgb(220 53 69 / 25%);
}

.message.error {
    color: #dc3545;
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
}

.message.success {
    color: #198754;
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
}

.url {
    word-break: break-all;
}

/* signin */
.form-signin {
    max-width: 330px;
    padding: 1rem;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="text"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

/* table */
/* sticky table */

/* .sticky-table-wrapper thead th {
    position: -webkit-sticky;
    position: sticky;
    background-color: #fff;
    top: 0;
    z-index: 1;
}

.sticky-table-wrapper th:first-child {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
}

.sticky-table-wrapper thead th:first-child {
    z-index: 2;
}

.sticky-table-wrapper {
    overflow: scroll;
    width: calc(100vw - 1rem);
    height: 75vh;
} */

@media screen {
    thead {
        position: sticky;
        top: 56px;
        background-color: #fff;
        box-shadow: 0px 3px 5px -5px rgba(0, 0, 0, 0.2);
    }

    thead th {
        white-space: nowrap;
    }
}